# 民警APP java后端
---
#### 技术框架
- 单体应用
- SSM
- mysql
- token授权模式

#### 数据字典
## qmrz 数据库

> 表格清单

| 表名 | 排序规则 | 引擎 | 说明 |
| --- | --- | --- | --- |
| [housepeople](readme/db_housepeople.md) | utf8_general_ci | InnoDB | 一房多人主表 |
| [housepeoplerelation](readme/db_housepeoplerelation.md) | utf8_general_ci | InnoDB | 一房多人关系表 |
| [leaveuser](readme/db_leaveuser.md) | utf8_general_ci | InnoDB | 疑似离开人员表 |
| [leaveuserrelation](readme/db_leaveuserrelation.md) | latin1_swedish_ci | InnoDB | 疑似离开人员关系表 |
| [newuser](readme/db_newuser.md) | utf8_general_ci | InnoDB | 新用户入住表 |
| [newuseropentime](readme/db_newuseropentime.md) | utf8_general_ci | InnoDB | 新用户入住开门时间表 |
| [newuserrelation](readme/db_newuserrelation.md) | latin1_swedish_ci | InnoDB | 新用户入住关系表 |
| [people](readme/db_people.md) | utf8_general_ci | InnoDB | 一房多人 人员表 |
| [police](readme/db_police.md) | utf8_general_ci | InnoDB | 民警表，用于帐号登录 |
| [police_belongleader](readme/db_police_belongleader.md) | utf8mb4_0900_ai_ci | InnoDB | 用户归属领导关系 |
| [policearea](readme/db_policearea.md) | utf8mb4_0900_ai_ci | InnoDB | 此表已无效 |
| [policelogin](readme/db_policelogin.md) | latin1_swedish_ci | InnoDB | 用户登录状态，用户登录信息保存到数据库，可扩展缓存中间件，如redis |
| [policezone](readme/db_policezone.md) | utf8mb4_0900_ai_ci | InnoDB | 警员负责区关系表（民警与警务区） |
| [process](readme/db_process.md) | latin1_swedish_ci | InnoDB | 操作日志表 |
| [zoneadmin](readme/db_zoneadmin.md) | utf8mb4_0900_ai_ci | InnoDB | 行政区划编码 |
| [zonepubinfo](readme/db_zonepubinfo.md) | gbk_chinese_ci | InnoDB | 区编码表 |




#### 接口
- [接口约定（必看）](readme/interface_lookme.md)


- [民警登录](readme/interface_policelogin_login.md)
- [修改密码](readme/interface_police_setpassword.md)
- [民警是否登录](readme/interface_policelogin_islogin.md)
- [警民退出登录](readme/interface_policelogin_logout.md)
- [获取当前登录的民警信息](readme/interface_policelogin_info.md)


- [获取民警列表（分页、警务区）](readme/interface_police_list.md)
- [获取民警列表（分页、分派时使用）](readme/interface_police_list_assign.md)
- [警务区保存](readme/interface_policezone_save.md)
- [获取当前登录帐号的已分配到的警务区](readme/interface_policezone_listme.md)

- [左边树数据](readme/interface_zonepubInfo_sel.md)
- [页面查看详情](readme/interface_procss_sel.md)

- [新入住人员信息](readme/interface_newuser_selpage.md)
- [新入住人数小红点总数](readme/interface_newuser_cou.md)
- [新入住人员导出](readme/interface_newuser_export.md)
- [新入住人员状态修改](readme/interface_newuserrelation_upd.md)
- [查询最近开门时间](readme/interface_newuseropentime_sel.md)
- [疑似离开人员状态修改](readme/interface_leaveuserrelation_upd.md)
- [疑似离开人员信息](readme/interface_leaveuser_sel.md)
- [疑似离开人员小红点](readme/interface_leaveuser_cou.md)
- [疑似离开人员导出](readme/interface_leaveuser_export.md)
- [新入住和疑似离开流转 ](readme/interface_process_upd.md)
- [一房多人信息](readme/interface_housePeople_sel.md)
- [一房多人具体信息](readme/interface_peoplee_sel.md)
- [一房多人流程流转](readme/interface_missionhousepeople_sel.md)
- [一房多人小红点](readme/interface_missionhousepeople_cou.md)
- [一房多人导出](readme/interface__housePeople_export.md)
- [短期异常活动](readme/inteface_houseabnormal_readme.md)
- [短期异常活动开门记录](readme/inteface_houseabnormalopendoor_readme.md)
- [长期未活动房屋](readme/inteface_houseinactive_readme.md)
- [长期活动开门记录](readme/inteface_houseinactiveopendoor_readme.md)
- [出租房屋表](readme/inteface_houseinfo_readme.md)
- [居住详细信息](readme/inteface_houseinfouser_readme.md)
- [一房多人主表](readme/inteface_housepeople_readme.md)
- [一房多人关系表](readme/inteface_housepeoplerelation_readme.md)
- [访客频繁居住](readme/inteface_housetemporary_readme.md)
- [访客频繁更换房客](readme/inteface_housetemporarytenant_readme.md)
- [访客频繁更换房客具体信息](readme/inteface_housetemporarytenantnews_readme.md)
- [访客频繁居住用户](readme/inteface_housetemporaryuser_readme.md)
- [app使用人信息](readme/inteface_keyapp_readme.md)
- [蓝扣使用人信息表](readme/inteface_keyblue_readme.md)
- [居住房间日志表，流动人员（appuser）或蓝扣（bluekey）](readme/inteface_keyhouse_readme.md)
- [频繁换人](readme/inteface_peopleexchangehouses_readme.md)
- [频繁换人详细信息](readme/inteface_peopleexchangehousesnews_readme.md)
- [一证多房](readme/inteface_peoplemultipleroom_readme.md)
- [一证多房详细信息](readme/inteface_peoplemultipleroomnews_readme.md)
- [夜间频繁活动](readme/inteface_peoplenocturnalactivity_readme.md)
- [夜间频繁活动开门记录](readme/inteface_peoplenocturnalaopendoor_readme.md)
- [人员开门记录信息](readme/inteface_useropendoor_readme.md)
- [开门记录表](readme/inteface_useropendoorrecord_readme.md)

------------------------

- [添加用户](readme/inteface_police_add.md)
- [可选 角色项|职务项](readme/inteface_police_role_job_list.md)
- [可选警务区](readme/inteface_police_zoneall.md)
- [可选所属 所领导|民警](readme/inteface_police_belongleader.md)

- [修改用户](readme/inteface_police_edit.md)
- [删除用户](readme/inteface_police_del.md)


- [http代理](readme/interface_file_proxy.md)

## [部署说明](readme/release.md)
java -jar  --spring.profiles.active=prod
